//-----------------------------------------------------------------------------
//
//	This program is free software; you can redistribute it and/or
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//-----------------------------------------------------------------------------

// bootloader client for AVR USB DFU
// Javier Almansa Sobrino (javieralso@gmail.com)

#ifndef __BOOT_FUNC__

#define __BOOT_FUNC__

void sendZLP (usb_dev_handle *d);
int eraseWhole (usb_dev_handle *d);
int writeProg (FILE *fp, usb_dev_handle *d);
/* void readDevice (usb_dev_handle *d); */
void startApp (unsigned short addr, usb_dev_handle *d);
void setPage (byte page, usb_dev_handle *d);
void checkStatus (status *est, usb_dev_handle *d);
byte sendData (usb_dev_handle *d, unsigned short totalData, unsigned short endAddr, byte *datos, request *peticion, int *dataSend);

#endif
